* Initialize new data set for regression output.
DATASET DECLARE Sample_Moments. 

* Define the appropriate request to the Output Management
* System (OMS). You are looking for output elements of the
* type TABLE that were produced by the analysis command
* DESCRIPTIVES. The content of the corresponding tables is
* supposed to be read to the new data file Sample_Moments.
OMS 
  /SELECT TABLES
  /IF COMMANDS=['Descriptives']
       SUBTYPES=['Descriptive Statistics']
 /DESTINATION FORMAT=SAV
  OUTFILE = Sample_Moments. 

* Get (excess) kurtosis and skewness.
DESCRIPTIVES VARIABLES=A B C D
  /STATISTICS=KURTOSIS SKEWNESS.

* Stop OMS request and bring new data set to front.
OMSEND.
DATASET ACTIVATE Sample_Moments.


* Format dataset.
DELETE VARIABLES Command_ TO Label_.
RENAME VARIABLES Var1=Sample.


* Compute bimodality coefficient (BC). If using a
* non-English SPSS distribution, be careful to
* adjust the variable names that are likely to differ
* from the names below.
COMPUTE BC = (Skewness_Statistic * 
  Skewness_Statistic + 1) /
  (Kurtosis_Statistic + 3 * (N_Statistic-1) *
  (N_Statistic-1) /
  ((N_Statistic-2)*(N_Statistic-3))).
EXECUTE.
